org.apache.flume

## Class EventDeliveryException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.flume.EventDeliveryException

- All Implemented Interfaces:
    Serializable

      public class EventDeliveryException
      extends Exception

  An event delivery exception is raised whenever an `Event` fails to reach at least one of its intended (next-hop) destinations.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventDeliveryException()`
    `EventDeliveryException(String message)`
    `EventDeliveryException(String message, Throwable t)`
    `EventDeliveryException(Throwable t)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EventDeliveryException

          public EventDeliveryException()

    - #### EventDeliveryException

          public EventDeliveryException(String message)

    - #### EventDeliveryException

          public EventDeliveryException(String message,
                                Throwable t)

    - #### EventDeliveryException

          public EventDeliveryException(Throwable t)

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.